Bug 1637751 - Display gets messed up when routing panel is active
Summary: Display gets messed up when routing panel is active
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-maps
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException https://fedor...
Depends On:
Blocks: F29FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-10-09 23:20 UTC by Adam Williamson
Modified: 2019-11-27 18:14 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 18:14:41 UTC
Type: Bug


Attachments (Terms of Use)
video of the bug occurring (1.11 MB, application/octet-stream)
2018-10-09 23:22 UTC, Adam Williamson
no flags Details
backtrace of the crasher that can be triggered after triggering this bug (184.81 KB, text/plain)
2018-10-10 17:41 UTC, Adam Williamson
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Gitlab GNOME gnome-maps issues 131 None None None 2018-10-12 20:15:54 UTC

Description Adam Williamson 2018-10-09 23:20:39 UTC
To reproduce, just run Maps, right-click somewhere, and select 'Route from here'. The routing panel to the right of the map opens, but half of it is not visible, seemingly covered in some sort of odd white...layer. If you then resize the window, the whole routing panel disappears behind the white layer, and the window stops being square (the right hand side of the window sort of bleeds past the X button, is the best way I can describe it).

Will attach a video.

Proposing as a 29 Final blocker, per criterion "All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test."

Comment 1 Adam Williamson 2018-10-09 23:22:38 UTC
Created attachment 1492297 [details]
video of the bug occurring

Comment 2 Adam Williamson 2018-10-10 17:41:16 UTC
Additionally, if you right click and select "What's Here?" *after* triggering this bug, gnome-maps crashes. If you do "What's Here?" *before* triggering this bug, it works. I'll attach a traceback from that crash.

Comment 3 Adam Williamson 2018-10-10 17:41:48 UTC
Created attachment 1492639 [details]
backtrace of the crasher that can be triggered after triggering this bug

Comment 4 Lukas Ruzicka 2018-10-11 12:14:11 UTC
I was able to reproduce this bug.

Comment 5 Kalev Lember 2018-10-11 12:21:39 UTC
We sadly don't have anyone working on gnome-maps anymore in Fedora, and I am (as the ticket is assigned to me) right now occupied with fixing various gnome-software regressions in F29 that are all much higher priority. I wouldn't recommend blocking the release on this.

Comment 6 Adam Williamson 2018-10-11 17:03:00 UTC
Remember that one way to address a release blocker is to remove the app...

Comment 7 Zbigniew Jędrzejewski-Szmek 2018-10-15 07:37:18 UTC
@adamw: gnome-maps version?

I can't reproduce this with gnome-maps-3.30.0-1.fc29.x86_64.

Comment 8 Adam Williamson 2018-10-15 15:13:29 UTC
3.30.1-1.fc29. Dunno why you're on 3.30.0.

Comment 9 Zbigniew Jędrzejewski-Szmek 2018-10-15 15:38:32 UTC
I can't reproduce with gnome-maps-3.30.1-1.fc29.x86_64 either.

Actually those two recent versions of gnome-maps work great here — display is snappy and the routing seems quite good.

Comment 10 Chris Murphy 2018-10-15 16:51:13 UTC
I can't reproduce the bug in the description and video. I can reproduce the crash in comment 2.

Comment 11 Geoffrey Marr 2018-10-15 19:17:06 UTC
Discussed during the 2018-10-15 blocker review meeting: [1]

The decision to classify this bug as an "AcceptedBlocker" was made as it violates the following criteria:

"All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test". 

We note that dropping the app from Workstation is acceptable if a fix is not available.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2018-10-15/f29-blocker-review.2018-10-15-16.00.txt

Comment 12 Kalev Lember 2018-10-16 10:21:37 UTC
I can't reproduce it here either. Can one of the people who is able to reproduce it report it upstream at https://gitlab.gnome.org/GNOME/gnome-maps please? Thanks!

Comment 13 Kalev Lember 2018-10-16 10:22:25 UTC
Ahh sorry never mind, I see it's already reported at https://gitlab.gnome.org/GNOME/gnome-maps/issues/131

Comment 14 Geoffrey Marr 2018-10-17 01:55:54 UTC
I also cannot reproduce this bug. Will send this out to the list to request more testing.

Comment 15 Paul W. Frields 2018-10-22 14:05:04 UTC
The Workstation WG discussed this bug and was against holding the release up for this bug. However, upstream are looking at it so we can winnow down the cases where it does reproduce. Some users report this working fine under intel + Wayland, so it doesn't seem to be universal. It should be possible to fix in an update.

This link may be useful: https://gitlab.gnome.org/GNOME/gnome-maps/issues/131#note_348400

Comment 16 Kamil Páral 2018-10-22 17:32:10 UTC
Discussed during today's blocker review [1]:
#agreed 1637751 – RejectedBlocker AcceptedFreezeException – After much deliberation and hearing from stickster as representative from the Workstation WG, we have unanimously decided to not block the release on this bug, based on the fact that 1) the bug is not universal, 2) the fix may destabilize other things, and 3) it seems overly-zealous to block the release on this bug. We accept it as a Freeze Exception in case a fix comes about soon.

https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-10-22/

Comment 17 Phil Wyett 2018-12-13 02:28:48 UTC
Does this issue remain in version 3.30.2.1 that is the current in f29?

Comment 18 Chris Murphy 2018-12-13 02:33:06 UTC
Yes, gnome-maps-3.30.2.1-1.fc29.x86_64 has this problem. Right click on map, choose "route from here" as described, and I get a white box on the right with no user interface elements at all. Just a white box. I can't resize the window on the right side but if I resize from top,bottom, or left sides, the routing UI appears.

Comment 19 Ben Cotton 2019-10-31 20:18:40 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Adam Williamson 2019-11-04 18:53:14 UTC
I can't reproduce any more on current Rawhide at least.

Comment 21 Ben Cotton 2019-11-27 18:14:41 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.